commit:     4c767944d63b78ae16d2e209bed43c910104c0e2
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 31 10:56:39 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Sep 30 17:57:20 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c767944

dev-python/sphinxcontrib-apidoc: initial import

Needed as doc dependency for dev-python/python-glanceclient

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/sphinxcontrib-apidoc/Manifest           |  1 +
 dev-python/sphinxcontrib-apidoc/metadata.xml       | 13 +++++++++++
 .../sphinxcontrib-apidoc-0.3.0.ebuild              | 27 ++++++++++++++++++++++
 3 files changed, 41 insertions(+)

diff --git a/dev-python/sphinxcontrib-apidoc/Manifest 
b/dev-python/sphinxcontrib-apidoc/Manifest
new file mode 100644
index 00000000000..c72ab4440d6
--- /dev/null
+++ b/dev-python/sphinxcontrib-apidoc/Manifest
@@ -0,0 +1 @@
+DIST sphinxcontrib-apidoc-0.3.0.tar.gz 15396 BLAKE2B 
de726316daa81eae1a8012c8be4acf3850f910af562d23dc17194afc86b40daf632bd5cdd61153299f35f3326b181c3b67e75925f0d95ce4cea81e1766c7828d
 SHA512 
043f9b36eaff7b3f6d23c834dd3947e2b029c66010b3862f1658f03e0fb6c4aac3304f49465dd515a30107a685dc704a0e319675c9d7b27897445a2c315d07a1

diff --git a/dev-python/sphinxcontrib-apidoc/metadata.xml 
b/dev-python/sphinxcontrib-apidoc/metadata.xml
new file mode 100644
index 00000000000..1a84b5db64c
--- /dev/null
+++ b/dev-python/sphinxcontrib-apidoc/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Arthur Zamarin</name>
+       </maintainer>
+       <stabilize-allarches/>
+       <upstream>
+               <remote-id type="github">sphinx-contrib/apidoc</remote-id>
+               <remote-id type="pypi">sphinxcontrib-apidoc</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/dev-python/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.3.0.ebuild 
b/dev-python/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.3.0.ebuild
new file mode 100644
index 00000000000..cea7e192a03
--- /dev/null
+++ b/dev-python/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.3.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension for running sphinx-apidoc on each build"
+HOMEPAGE="https://pypi.org/project/sphinxcontrib-apidoc/ 
https://github.com/sphinx-contrib/apidoc";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="dev-python/pbr[${PYTHON_USEDEP}]"
+RDEPEND="${BDEPEND}
+       dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+       distutils-r1_python_install_all
+       find "${D}" -name '*.pth' -delete || die
+}

Reply via email to